#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kclock
Version: 24.08.2
Release:        %mkrel %{rel}
Summary:        Clock application for Plasma
Group:          Graphical desktop/KDE
License:        GPL-2.0-or-later
URL:            https://apps.kde.org/kclock
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami-addons
Requires:       kirigami

%description
A clock application for Plasma.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_sysconfdir}/xdg/autostart/org.kde.kclockd-autostart.desktop
%{_kf6_bindir}/kclock
%{_kf6_bindir}/kclockd
%{_qt6_plugindir}/plasma/applets/org.kde.plasma.kclock_1x2.so
%{_kf6_applicationsdir}/org.kde.kclock.desktop
%{_kf6_metainfodir}/org.kde.kclock.appdata.xml
%{_kf6_metainfodir}/org.kde.plasma.kclock_1x2.appdata.xml
%{_kf6_datadir}/dbus-1/services/org.kde.kclockd.service
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Alarm.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.AlarmModel.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.KClockSettings.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Timer.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.TimerModel.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Utility.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.kclock.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/kclock_plasmoid_1x2.svg
%{_kf6_knotificationsdir}/kclockd.notifyrc
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.kclock_1x2/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105509
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097368
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087571
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085068
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073175
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069772
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058575
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045120
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037618
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033746
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026982
- New version 24.01.85

* Tue Nov 21 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2008645
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990008
- New version 23.08.1

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959972
- initial package kclock

